UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | Public Attributes | List of all members
uhd::convert::id_type Struct Reference

Identify a conversion routine in the registry. More...

`#include <convert.hpp>`

Inheritance diagram for uhd::convert::id_type:

## Public Member Functions
std::string | to_pp_string (void) const

## Public Attributes
std::string | input_format
size_t | num_inputs
std::string | output_format
size_t | num_outputs

## Detailed Description

Identify a conversion routine in the registry.

## Member Function Documentation

std::string uhd::convert::id_type::to_pp_string | ( | void |  | ) | const

## Member Data Documentation

std::string uhd::convert::id_type::input_format

size_t uhd::convert::id_type::num_inputs

size_t uhd::convert::id_type::num_outputs

std::string uhd::convert::id_type::output_format

The documentation for this struct was generated from the following file:

- include/uhd/convert.hpp